Developers

Retrieve users list

GET
/user/users

Retrieve users list

Authorization<token>

Value for the Authorization header parameter.

In: header

Query Parameters

page?integer

The collection page number

Default1
itemsPerPage?integer

The number of items per page

Range0 <= value <= 100
Default30
pagination?boolean

Enable or disable pagination

search?string
isUsingMobile?boolean
hasRole[]?string
hasRoleSet[]?string
jobPosition?string
jobPosition[]?array<string>
contractorId?string
contractorId[]?array<string>
id[]?array<string>
userDepartments.department?string
userDepartments.department[]?array<string>
exists[userDepartments]?boolean
isExternal?boolean
canLogIn?boolean
excludeIds[]?array<string>
excludeDepartmentIds[]?array<string>
userDepartmentLeaderOrder[departmentId]?string

Value in

  • "asc"
  • "desc"
order[lastName]?string
Default"asc"

Value in

  • "asc"
  • "desc"
order[firstName]?string
Default"asc"

Value in

  • "asc"
  • "desc"
order[createdAt]?string
Default"asc"

Value in

  • "asc"
  • "desc"
order[updatedAt]?string
Default"asc"

Value in

  • "asc"
  • "desc"
exists[ssoProvider]?boolean

User exists[ssoProvider]

ssoProviderIds?array<>

User ssoProviderIds

Response Body

curl -X GET "https://example.com/user/users"
[  {    "twoFactorAuth": true,    "ssoProviders": [      {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "tenantId": "string",        "tenantName": "string",        "type": "microsoft",        "isUserLinked": true      }    ],    "tasksPerWorkday": 0,    "tasksPerWorkDay": 0,    "id": "string",    "firstName": "string",    "lastName": "string",    "email": "string",    "jobPosition": "string",    "jobPositionName": "string",    "contractorName": "string",    "contractorId": "string",    "pictureSm": "string",    "pictureLg": "string",    "phoneNumber": "string",    "canLogIn": true,    "allowApiTokenAuthentication": true,    "isExternal": true,    "canManage": true,    "isUsingMobile": true,    "lastActivity": "string",    "lastActivityMobile": "string",    "shortCode": "string",    "hoursPerWorkDay": 0,    "userDepartments": [      {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "isLeader": true,        "department": {          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",          "name": "string"        }      }    ]  }]